<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class WithdrawRequest extends Model
{
    use HasFactory;
    protected $fillable = [
        'user_id', 'amount', 'chain_type', 'bank_card_number', 'status'
    ];
    public function userDetails()
    {
        return $this->belongsTo(User::class, 'user_id');
    }
}
